<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="@dimen/_16sdp"
    android:layout_marginEnd="@dimen/_16sdp"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/messageRelativeLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="5dp">

        <ImageView
            android:id="@+id/avatar"
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:layout_alignParentStart="true"
            android:layout_marginStart="3dp"
            android:background="#d3d3d3"
            android:contentDescription="@string/userAvatar"
            android:scaleType="centerCrop"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/authorLine"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_toEndOf="@+id/avatar"
            android:orientation="horizontal"
            android:visibility="gone">


            <ImageView
                android:id="@+id/reachability"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_margin="5dip"
                android:scaleType="centerCrop" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/singleMessageContainer"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ProgressBar
                android:id="@+id/imageLoad"
                android:layout_width="@dimen/_20sdp"
                android:layout_height="@dimen/_20sdp"
                android:indeterminateDrawable="@drawable/progress"
                android:visibility="gone" />

            <com.twilio.chat.witty.views.MessageTextView
                android:id="@+id/author"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="5dp"
                android:layout_toEndOf="@+id/avatar"
                android:fontFamily="PT_Sans-Web-Regular"
                android:text="AUTHOR"
                android:textColor="@android:color/primary_text_light"
                android:visibility="gone" />

            <com.twilio.chat.witty.views.MessageTextView
                android:id="@+id/personBody"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/person_chat_bg"
                android:padding="@dimen/_5sdp"
                android:text="some body text"
                android:textColor="@color/personChatText"
                android:textSize="18sp" />

            <LinearLayout
                android:id="@+id/mediaPreviewContainer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/person_chat_bg"
                android:padding="@dimen/_5sdp"
                android:orientation="vertical"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/mediaPreview"
                    android:layout_width="@dimen/_150sdp"
                    android:layout_height="@dimen/_150sdp"
                    android:adjustViewBounds="true"
                    android:scaleType="centerCrop"
                   />

            </LinearLayout>


            <com.twilio.chat.witty.views.MessageTextView
                android:id="@+id/date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_2sdp"
                android:fontFamily="PT_Sans-Web-Regular"
                android:paddingStart="10dip"
                android:paddingEnd="10dip"
                android:text="Thursday, 30 June 2016 - 17:39"
                android:textColor="@android:color/primary_text_light"
                android:visibility="gone" />

        </LinearLayout>

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/consumptionHorizon"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="3dp"
        android:layout_marginRight="3dp"
        android:orientation="vertical"
        android:visibility="gone">

        <RelativeLayout
            android:id="@+id/consumptionHorizonIdentities"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="3dp"
            android:layout_marginRight="3dp"
            android:orientation="horizontal" />

        <LinearLayout
            android:id="@+id/consumptionHorizonLines"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="3dp"
            android:layout_marginRight="3dp"
            android:orientation="vertical" />
    </LinearLayout>

</LinearLayout>
